Bug 825379 - [eap6] support for adding OSGi capabilities and properties
[eap6] support for adding OSGi capabilities and properties
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: JON 3.1.0
Assigned To: Stefan Negrea
Mike Foley
:
Depends On: 824853
Blocks: as7-plugin 811288 826074
  Show dependency treegraph
 
Reported: 2012-05-25 16:24 EDT by Stefan Negrea
Modified: 2013-09-03 11:12 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 824853
Environment:
Last Closed: 2013-09-03 11:12:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Negrea 2012-05-25 16:24:29 EDT
+++ This bug was initially created as a clone of Bug #824853 +++

Description of problem:JON can list Capability and Property resources of AS7 OSGi subsystem but there is no way to add new child resources of these types. AS7 Web console supports this.


Version-Release number of selected component (if applicable):
JON 3.1.ER4 EAP6.ER8


Actual results: there is a way to add property to osgi subsystem, but this way does not work.

{Operation step-2=JBAS014792: Unknown attribute property}}

Expected results: JON user should be able to add new Capability and Property resources under osgi subsystem.
Comment 1 Stefan Negrea 2012-05-25 16:26:25 EDT
This has now been fixed in master branch by the commits for bug 811288.

The commits relevant to this bug from release/jon3.1.x branch:

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=f46ef17a1fcba5803e3197d634022a49e5eaadf5

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=c656b27da19ad90d7f6c29168020bd06bdb91fc1
Comment 2 Armine Hovsepyan 2012-07-11 05:04:26 EDT
verified JON 3.1.0.GA-8
Comment 3 Heiko W. Rupp 2013-09-03 11:12:10 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.